package cn.com.ctop.kuaishou.modules.document.service;

import org.apache.ibatis.annotations.Param;
import org.jeecg.common.api.vo.Result;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @Description: 文档库管理
 * @Author: zzy
 * @Date: 2021-09-06
 * @Version: V1.0
 */
public interface DocumentLibraryService {

    Result createdocument(MultipartFile file, @Param("accountIds") List<String> accountIds);

    Result getDocumentList(List<String> accountIds, String keywords, String startDate, String endDate, String status,int pageNumber,int pageSize);

    Result updateDocument(List<String> accountIds, String copyWriterId,String copyWriter);

    Result updateStatus(String copyWriterId, String status);

    Result getRefusedList(String copyWriterId, int pageNumber, int pageSize);

    Result getAcoountId(String copyWriterId);

    Result<Object> importAdLanguage(MultipartFile file) throws Exception;

    void insertBatch(String description,Long accountId);
}
